@tailwind base;
@tailwind components;
@tailwind utilities;

body {
  background-color: aqua;
  padding: 0px;
  margin: 0px;
}

.app-container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

/* HOME ___________________________________ */
.home-container {
  width: 100vw;
  display: grid;
  grid-template-columns: 400px 50px 600px;
}

/* NEWS ___________________________________ */
.news-container {
  margin-top: 35px;
  background-color: tomato;
}

.news-list {
}

/* MENU ___________________________________ */
.menu-container {
  /* position: absolute; */
  background-color: orange;
  width: 500px;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
}

.link-list-container {
  width: 400px;
}

.link-list {
  margin: 0px;
  position: relative;
}

.disable-list {
  position: relative;
  /* background-color: rgba(100, 100, 100, 0.5); */
  width: 400px;
  top: -344px;
}

.list-toogle {
  position: relative;
  height: 50px;
  width: 100px;
  left: 300px;
  font-size: 25px;
}

.list-toogle-activate {
  background-color: red;
}

.list-toogle-NONactivate {
  background-color: green;
}

.link-list-item {
  border: 1px dashed gray;
  padding: 0.5rem 1rem;
  background-color: white;
  cursor: move;
}

.link-list-item {
  margin-bottom: 5px;
}

.link-list-item-static {
  border: 1px;
  padding: 0.5rem 1rem;
  background-color: white;
  margin-bottom: 5px;
}

/* Student Schedule  _________________*/
.chars {
  background: rgb(174, 174, 174);
  border: 2px solid rgb(103, 0, 0);
  padding: 10px;
}

.chs {
  line-height: 22px;
}

select {
  color: white;
  background-color: rgb(184, 86, 0);
}

/* table {
  display: flex;
} */

table,
thead,
td {
  border-collapse: separate;
}

.timetable {
  border-spacing: 10px;
  /* width: 500px */
}

.day {
  /* display: flex; */
  /* justify-content: center; */
  text-align: center;
  align-items: center;
  width: 10%;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
  font-size: 20px;
  color: aliceblue;
  border-top: 1px solid white;
}

.subject {
  width: 150px;
  height: 37px !important;
  background-color: white;
  border: 1px solid #052c5d;
  padding: 10px;
  text-align: center;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
  font-size: 15px;
}

.rows {
  border-spacing: 10px;
  width: 100px;
}

.time {
  text-align: left;
  width: 5%;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
  font-size: 20px;
}

.custom-select {
  width: 200px;
}

.thatDiv {
  width: 100%;
  height: 37px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: aliceblue;
  background-color: #052c5d;
}

/* ERROR _____________________________ */
.error {
  margin-top: 50px;
}
